<?php 
session_start(); 
require_once('../conexion.php');
require_once('../include/sesiones.php');
$aju_id=limpiar($_GET['aju_id']);

$can1=mysqli_query($con,"SELECT * FROM ajuste_inventario WHERE aju_id='$aju_id' and empresa='$empresa'") or die(mysqli_error($con));  
$dato1=mysqli_fetch_array($can1);
$bodega=$dato1['bodega'];

$can2=mysqli_query($con,"SELECT * FROM ajuste_detalle WHERE ajuste_inventario_aju_id='$aju_id' and empresa='$empresa'") or die(mysqli_error($con));  
while($dato2=mysqli_fetch_array($can2))
{
    $art_id_bod=$dato2['art_id_bod'];     
    $ajud_art_id=$dato2['ajud_art_id'];     
    $ajud_cantidad=$dato2['ajud_cantidad'];
    $ajud_tipo=$dato2['ajud_tipo'];

    $can3=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id='$art_id_bod' and articulos_art_id='$ajud_art_id' and bodegas='$bodega'") or die(mysqli_error($con)); 
    $dato3=mysqli_fetch_array($can3);
    $art_cantidad=$dato3['art_cantidad'];
    if($ajud_tipo=='Salida')
    {
        $suma=$ajud_cantidad+$art_cantidad;
        $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' Where art_id='$art_id_bod' and articulos_art_id='$ajud_art_id' and bodegas='$bodega'") or die(mysqli_error($con));

        $serial=mysqli_query($con,"SELECT * FROM seriales_ajuste WHERE seraju_articulo_art_id='$ajud_art_id' and ajuste_id='$aju_id'") or die(mysqli_error($con)); 
        while($ser=mysqli_fetch_array($serial)) 
        {
            $seraju_cod=$ser['seraju_cod']; 

            $arti=mysqli_query($con,"UPDATE seriales_articulos Set estado='sin vender' Where articulos_art_id='$ajud_art_id' and se_codigo='$seraju_cod'") or die(mysqli_error($con));

        }
    }
    else 
    {
        $resta=$art_cantidad-$ajud_cantidad;
        $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$resta' Where art_id='$art_id_bod' and articulos_art_id='$ajud_art_id' and bodegas='$bodega'") or die(mysqli_error($con));
    } 

    
}  

$borrar_sql=mysqli_query($con,"DELETE FROM ajuste_detalle WHERE ajuste_inventario_aju_id='$aju_id'") or die(mysqli_error($con));
$borrar_sql=mysqli_query($con,"DELETE FROM ajuste_inventario WHERE aju_id='$aju_id'") or die(mysqli_error($con));


echo '<div class="alert alert-success alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<strong>Ajuste!</strong> Eliminado correctamente.
</div>';
?>